From 77ac4dc35063d04081f783eb2e5b4cdb17717aef Mon Sep 17 00:00:00 2001
From: KO Myung-Hun <komh@chollian.net>
Date: Sat, 12 Mar 2011 11:01:15 +0900
Subject: [PATCH 06/41] Include 'sched.h' only if available

Some systems such as OS/2 does not have 'sched.h'.
---
 bin/rootwrap.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/bin/rootwrap.c b/bin/rootwrap.c
index 1527406..486a63b 100644
--- a/bin/rootwrap.c
+++ b/bin/rootwrap.c
@@ -34,7 +34,9 @@
 #include <sys/socket.h>
 #include <sys/uio.h>
 #include <sys/resource.h> /* getrlimit() */
+#ifdef RLIMIT_RTPRIO
 #include <sched.h>
+#endif
 #include <errno.h>
 #include <netinet/in.h>

--
1.7.3.2

